Bug 7039 - German translation of net is not complete
German translation of net is not complete
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: i18n
unspecified
x64 Linux
: P3 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-13 12:49 UTC by André Hentschel
Modified: 2010-01-20 04:51 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description André Hentschel 2010-01-13 12:49:33 UTC
There is more german translation to do for "net".
the main command list showing up, when just running "net" is partially english and might be confusing to german users.
Comment 1 Kai Blin 2010-01-14 02:18:51 UTC
Hi André,
please update the patch you sent to the mailing list according to my comments. Once that's done, I'm happy to ack it for 3.5
Comment 2 Kai Blin 2010-01-18 04:51:54 UTC
46842a68618b4c9faba25580e68a286b97f9337e adds a complete translation for the command listing. Karolin, can you please push to v3-5-test?
Comment 3 Björn Jacke 2010-01-18 07:24:12 UTC
I think you don't have to translate all the "... not implemented (yet)" messages. We will probably shrink that so that only "not implemented (yet)" will be left over to be translated :-)
Comment 4 Björn Jacke 2010-01-18 17:29:22 UTC
46842a68618b4c9faba25580e68a286b97f9337e looks fine.

c3ef7a3d96763719de1df679d50fb8a00d1f7391 and 
fb7a4621134b9054f33ccb48d7d8c1e4e4960b9a also contain obvious improvements by me which I would propose to pick to 3.5.

To make translators' that will be done on the 3.5 branch will not be lost, we should consider to pick bd3c922e2bc1a163efc1d8c9cb59578bebb79616 into 3.5, too. It applies cleanly with minimal offset warnings. That patch will automatically make a lot of messages be translated. Kai, maybe you want to cross check that patch and review for 3.5?

Comment 5 Kai Blin 2010-01-19 03:21:38 UTC
(In reply to comment #4)
> 46842a68618b4c9faba25580e68a286b97f9337e looks fine.
> 
> c3ef7a3d96763719de1df679d50fb8a00d1f7391 and 
> fb7a4621134b9054f33ccb48d7d8c1e4e4960b9a also contain obvious improvements by
> me which I would propose to pick to 3.5.

Ack, even though they're for pam_winbind and not for net which this bug is about.

> To make translators' that will be done on the 3.5 branch will not be lost, we
> should consider to pick bd3c922e2bc1a163efc1d8c9cb59578bebb79616 into 3.5, too.

Agreed, provided 28b512f904cee5a79aefd0aca2d839dbe37e5519 is added, as that fixes a compile error when people compile with WITH_DNS_UPDATES.

In addition, 09bc13728fc76cf784914a4066c793c297e50cff unifies the spelling of the usage strings even more.

And last but not least, 6d33bb25e1aab72bb3e12a0824a758bacba32672 contains the updated de.po file.

Björn, please ack. :)
Comment 6 Kai Blin 2010-01-19 03:40:17 UTC
Hm, hang on, I'm not sure the calls to d_(f)printf are valid anymore. I just checked that "make" worked, but missed the warnings generated. I'll have to look at that again. My bad, should have noticed before.
Comment 7 Kai Blin 2010-01-19 07:50:14 UTC
66de52c4f4527ef43cfaf11c55616ec7602cce85 fixes the compile warnings,
add4edcd063591839111d474543ceea847413f6f updates the de.po file again.
Comment 8 Kai Blin 2010-01-19 07:54:58 UTC
So to summarize, the following patches should go into 3.5:

46842a68618b4c9faba25580e68a286b97f9337e <- new translations for net
c3ef7a3d96763719de1df679d50fb8a00d1f7391 <- translation fixes for pam_winbind
fb7a4621134b9054f33ccb48d7d8c1e4e4960b9a <- translation fixes for pam_winbind

bd3c922e2bc1a163efc1d8c9cb59578bebb79616 <- i18n improvements for net
28b512f904cee5a79aefd0aca2d839dbe37e5519 <- compile error fix for previous patch
09bc13728fc76cf784914a4066c793c297e50cff <- unify "Usage:" spelling for net
6d33bb25e1aab72bb3e12a0824a758bacba32672 <- update net .po files
66de52c4f4527ef43cfaf11c55616ec7602cce85 <- compile warnings fix for net
add4edcd063591839111d474543ceea847413f6f <- update net .po files again
Comment 9 Björn Jacke 2010-01-19 16:06:06 UTC
ack, looks good, now. Thanks Kai for fixing the all the warnings. I'd support to get this into 3.5 to ease work for translators.
Comment 10 Karolin Seeger 2010-01-20 04:51:09 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!